shm_has_var
shm_remove_var
Semaphore 함수 목록
PHP Manual

# shm_put_var

(PHP 4, PHP 5)

shm_put_var — Inserts or updates a variable in shared memory

### 설명

bool shm_put_var ( resource `$shm_identifier` , int `$variable_key` , mixed `$variable` )

shm_put_var() inserts or updates the `variable` with the given `variable_key` .

Warnings (`E_WARNING` level) will be issued if `shm_identifier` is not a valid SysV shared memory index or if there was not enough shared memory remaining to complete your request.

### 인수

`shm_identifier`

  A shared memory resource handle as returned by shm_attach()

`variable_key`

  The variable key.

`variable`

  The variable. All variable-types are supported.

### 반환값

성공할 경우 `TRUE`를, 실패할 경우 `FALSE`를 반환합니다.

### 참고

- shm_get_var() - Returns a variable from shared memory
- shm_has_var() - Check whether a specific entry exists

shm_has_var
shm_remove_var
Semaphore 함수 목록
PHP Manual